org.apache.struts2.interceptor

## Class I18nInterceptor.RequestLocaleHandler

- java.lang.Object
- - org.apache.struts2.interceptor.I18nInterceptor.RequestLocaleHandler

- All Implemented Interfaces:
    I18nInterceptor.LocaleHandler
  Direct Known Subclasses:
    I18nInterceptor.AcceptLanguageLocaleHandler
  Enclosing class:
    I18nInterceptor

      protected class I18nInterceptor.RequestLocaleHandler
      extends Object
      implements I18nInterceptor.LocaleHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActionInvocation` | `actionInvocation`
    `protected boolean` | `shouldStore`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestLocaleHandler(ActionInvocation invocation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `find()`
    `Locale` | `read(ActionInvocation invocation)`
    `boolean` | `shouldStore()`
    `Locale` | `store(ActionInvocation invocation, Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionInvocation

          protected ActionInvocation actionInvocation

    - #### shouldStore

          protected boolean shouldStore

  - ### Constructor Detail

    - #### RequestLocaleHandler

          protected RequestLocaleHandler(ActionInvocation invocation)

  - ### Method Detail

    - #### find

          public Locale find()

      Specified by:
        `find` in interface `I18nInterceptor.LocaleHandler`

    - #### store

          public Locale store(ActionInvocation invocation,
                              Locale locale)

      Specified by:
        `store` in interface `I18nInterceptor.LocaleHandler`

    - #### read

          public Locale read(ActionInvocation invocation)

      Specified by:
        `read` in interface `I18nInterceptor.LocaleHandler`

    - #### shouldStore

          public boolean shouldStore()

      Specified by:
        `shouldStore` in interface `I18nInterceptor.LocaleHandler`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.